const jq = require('node-jq');
const { env, drgWithAttach, drg } = require('./util');

// CBS Data Access calls CBS Services in DRG and returns specified results

async function getCBS(attach, body) {
    console.log(JSON.stringify(body, null, 2));
    return await drgWithAttach(attach, body);
}

async function cbs(attach, PatientCPR) {
    const body = {
        id: 'cbs',
        role: 'test.citizen',
        endpoint: 'test1 cNSP',
        fields: {
            cprNumber: PatientCPR,
        },
        'auth-attributes': {
            cpr: PatientCPR,
        },
    };

    return await drgWithAttach(attach, body);
}

module.exports = {
    getCBS,
    cbs,
};
