const { env_nas, drgWithAttach } = require('./util');

async function destroyNAS(attach, pullPoint) {
    const body = {
        id: 'nas.DestroyPullPoint',
        role: 'sds.foces',
        endpoint: env_nas,
        fields: {
            UrlAddition: pullPoint,
        },
        'auth-attributes': {},
    };
    return await drgWithAttach(attach, body);
}

async function createNAS(attach) {
    const body = {
        id: 'nas.CreatePullPoint',
        role: 'sds.foces',
        endpoint: env_nas,
        fields: {
            ignoreableCheckbox: 'true',
        },
        'auth-attributes': {},
    };

    return await drgWithAttach(attach, body);
}

async function deleteNASIDList(attach, idListName) {
    const body = {
        id: 'nas.DestroyIDList',
        role: 'sds.foces',
        endpoint: env_nas,
        fields: {
            IDListName: idListName,
        },
        'auth-attributes': {},
    };

    return await drgWithAttach(attach, body);
}

async function createNASIDList(
    attach,
    idListName,
    description,
    idType,
    idList
) {
    const body = {
        id: 'nas.CreateIDListRequest',
        role: 'sds.foces',
        endpoint: env_nas,
        fields: {
            IDListName: idListName,
            Description: description,
            IDType: idType,
            IDList: idList,
        },
        'auth-attributes': {},
    };

    return await drgWithAttach(attach, body);
}

async function unsubscribe(attach, subscriptionRef) {
    const body = {
        id: 'nas.Unsubscribe',
        role: 'sds.foces',
        endpoint: env_nas,
        fields: {
            UrlAddition: subscriptionRef,
        },
        'auth-attributes': {},
    };
    console.log(body.fields);

    return await drgWithAttach(attach, body);
}

module.exports = {
    destroyNAS,
    createNAS,
    deleteNASIDList,
    createNASIDList,
    unsubscribe,
};
