const {
    Before,
    BeforeAll,
    After,
    Given,
    Then,
    When,
} = require('@cucumber/cucumber');
const jq = require('node-jq');
const { v4 } = require('uuid');
const { expect } = require('../util');
const {
    ddsregistry: { getPDCEntries },
    skr: {
        GetPersonalDataCard,
        DeleteRelatives,
        CreateRelative,
        CreateTemporaryAddress,
        DeleteTemporaryAddress,
        CreateHealthProvider,
        DeleteHealthProvider,
        CreateLanguage,
        DeleteLanguage,
        UpdateContactInformationInvalidCpr,
        GetPersonalDataCardInvalidCpr,
    },
} = require('dataaccess');
const { getPatientDetails } = require('dataaccess/dtg');


Then(
    '{string} indeholder en advarsel om {string}',
    function (ResponseName, Error) {
        // Getting warning
        const error =
            this.variables.get(ResponseName).body.response.main.Envelope.Body
                .ReturnStructure.ReturnMessageText._text;

        // Expecting the warning to be the same as in the fixture
        expect(error).to.eql(Error);
    });

Then(
    '{string} indeholder {string}',
    function (ResponseName, PersonCPR) {

        PersonCPR = this.replaceVariables(PersonCPR);

        const error =
            this.variables.get(ResponseName).body.response.main
        console.log(JSON.stringify(error, null, 2))

        // Expecting the warning to be the same as in the fixture
        expect(error).to.eql(Error);
    });

Then('{string} indeholder CPR', function (FibsResponse) {
    const response = this.variables.get(FibsResponse).body.response.main
    let newBornCPR = response.Envelope.Body.NewbornReturnStructure.PersonCivilRegistrationIdentifier._text;
    expect(newBornCPR).to.not.eql(null);
});

Then('{string} indeholder fejlbesked {string}', function (ResponseName, Error) {
    const error = this.variables.get(ResponseName).body.response.main.Envelope.Body.Fault.faultstring._text
    expect(error).to.eql(Error);
});