const {
    Given,
    Then,
    When,
} = require('@cucumber/cucumber');
const { getWsdl } = require('../../dataaccess/util');
const { expect } = require('../util');
const fs = require('fs/promises');

Given('En WSDL-URL {string} og en fil med den forventede WSDL {string}', function(wsdlUrl, wsdlFile) {
    this.wsdlUrl = wsdlUrl;
    this.wsdlFile = wsdlFile;
});

When('WSDL hentes og den forventede WSDL læses', async function() {
    this.retrievedWsdl = (await getWsdl(this.wsdlUrl, this.attach)).text;
    this.storedWsdl = await fs.readFile(`${__dirname}/known-wsdl/${this.wsdlFile}`, 'utf8');
});

Then('Skal den hentede WSDL matche den forventede WSDL', function() {
    expect(this.retrievedWsdl).to.eql(this.storedWsdl);
});
