const {
    Before,
    BeforeAll,
    After,
    Given,
    Then,
    When,
} = require('@cucumber/cucumber');

const { decodeJWT, expect } = require('../../fixtures/util');

Given('JWT is {string}', function (token) {
    this.raw = token;
});

When('token is parsed', async function () {
    this.result = await decodeJWT(this.raw);
});

Then('result should be a valid js object', function () {
    expect(this.result).to.be.an('Object');
    expect(this.result['1']).to.eql('DK');
    expect(this.result['4']).to.be.a('Number');
    expect(this.result['6']).to.be.a('Number');

    console.log(JSON.stringify(this.result, null, 2));
});
