const {
    Before,
    BeforeAll,
    After,
    Given,
    Then,
    When,
} = require('@cucumber/cucumber');

const { parseRelativeDate, expect } = require('../../fixtures/util');

Given('now is {string}', function (isoTime) {
    this.now = new Date(isoTime);
});

When('{string} is parsed', function (relative) {
    try {
        this.res = parseRelativeDate(relative, this.now);
    } catch (err) {
        this.res = err;
    }
});

Then('result should be {string}', function (isoTime) {
    expect(this.res).to.eql(isoTime);
});

Then('result should be an error', function () {
    expect(this.res).to.be.instanceOf(Error);
});
